import { registerExtension } from 'vscode/extensions';

var manifest = {name:"github-authentication",displayName:"%displayName%",description:"%description%",publisher:"vscode",license:"MIT",version:"0.0.2",engines:{vscode:"^1.41.0"},icon:"images/icon.png",categories:["Other"],api:"none",extensionKind:["ui","workspace"],activationEvents:[],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:"limited",restrictedConfigurations:["github-enterprise.uri"]}},contributes:{authentication:[{label:"GitHub",id:"github"},{label:"GitHub Enterprise Server",id:"github-enterprise"}],configuration:{title:"GitHub Enterprise Server Authentication Provider",properties:{"github-enterprise.uri":{type:"string",description:"GitHub Enterprise Server URI"}}}},aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",main:undefined,browser:"./dist/browser/extension.js",repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('README.md', new URL('./resources/README.md', import.meta.url).toString(), 'text/markdown');
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), 'application/json');
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), 'application/json');
registerFileUrl('images/icon.png', new URL('./resources/icon.png', import.meta.url).toString(), 'image/png');
registerFileUrl('media/auth.css', new URL('./resources/auth.css', import.meta.url).toString(), 'text/css');
registerFileUrl('media/favicon.ico', new URL('./resources/favicon.ico', import.meta.url).toString(), 'image/vnd.microsoft.icon');
registerFileUrl('media/icon.png', new URL('./resources/icon2.png', import.meta.url).toString(), 'image/png');
registerFileUrl('media/index.html', new URL('./resources/index.html', import.meta.url).toString(), 'text/html');
registerFileUrl('dist/browser/extension.js', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension', new URL('./resources/extension.js', import.meta.url).toString(), 'application/javascript');
registerFileUrl('dist/browser/extension.js.map', new URL('./resources/extension.js.map', import.meta.url).toString(), 'application/json');

export { whenReady };
